Skip to main content
GET
/
store
/
shipping-zone
/
{shippingZoneId}
/
shipping-rate
List Shipping Rates
curl --request GET \
  --url https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate \
  --header 'Authorization: Bearer <token>'
{
  "total": 20,
  "data": [
    {
      "altId": "6578278e879ad2646715ba9c",
      "altType": "location",
      "name": "North zone",
      "currency": "USD",
      "amount": 99.99,
      "conditionType": "price",
      "minCondition": 99.99,
      "maxCondition": 99.99,
      "shippingCarrierId": "655b33a82209e60b6adb87a5",
      "_id": "655b33a82209e60b6adb87a5",
      "shippingZoneId": "655b33a82209e60b6adb87a5",
      "createdAt": "2023-12-12T09:27:42.355Z",
      "updatedAt": "2023-12-12T09:27:42.355Z",
      "description": "Ships next day",
      "isCarrierRate": true,
      "percentageOfRateFee": 10.99,
      "shippingCarrierServices": [
        {
          "name": "Priority Mail Express International",
          "value": "PriorityMailExpressInternational"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Path Parameters

shippingZoneId
string
required

ID of the item that needs to be returned

Example:

"6578278e879ad2646715ba9c"

Query Parameters

altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location
limit
number
default:0

The maximum number of items to be included in a single page of results

Example:

20

offset
number
default:0

The starting index of the page, indicating the position from which the results should be retrieved.

Example:

0

Response

Successful response

total
number
required

Total number of items

Example:

20

data
object[]
required

An array of items

Last modified on March 4, 2026